<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@00C77=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =sub.mb@14105</action>
      <action>temp1 =sub.mw@14261</action>
      <action>temp2 =sub.md@14B50</action>
      <action>temp3 =sub.md@17FA0</action>
      <action>temp4 =sub.mw@17FA3</action>
      <action>temp5 =sub.md@17FA5</action>
      <action>temp6 =sub.md@17FA8</action>
      <action>temp7 =sub.mw@17FAB</action>
    </script>
    <script state="run">
      <action>sub.mb@14105=7E</action>
      <action>sub.mw@14261=1CFE</action> <!-- 1st = Enemy [JSR $447E], 2nd = Boss [ANDCC #$00FE], 3rd-8th = Fire -->
      <action>sub.md@14B50=7E7FA000|(sub.md@14B50 BAND ~FFFFFF00)</action> <!-- JMP $7FA0 -->
      <action>sub.md@17FA0=8C01A100|(sub.md@17FA0 BAND ~FFFFFF00)</action> <!-- CMPX #$01A1 [Player or Enemy ?] -->
      <action>sub.mw@17FA3=2306</action> <!-- BLS $7FAB -->
      <action>sub.md@17FA5=10AE2D00|(sub.md@17FA5 BAND ~FFFFFF00)</action> <!-- LDY 000D,Y -->
      <action>sub.md@17FA8=7E4B5300|(sub.md@17FA8 BAND ~FFFFFF00)</action> <!-- JMP $4B53 -->
      <action>sub.mw@17FAB=35B0</action> <!-- PULS X,Y,PC -->
    </script>
    <script state="off">
      <action>sub.mb@14105=temp0 </action>
      <action>sub.mw@14261=temp1 </action>
      <action>sub.md@14B50=temp2 </action>
      <action>sub.md@17FA0=temp3 </action>
      <action>sub.mw@17FA3=temp4 </action>
      <action>sub.md@17FA5=temp5 </action>
      <action>sub.md@17FA8=temp6 </action>
      <action>sub.mw@17FAB=temp7 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@00168=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@00141=18</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@0015A=00|(maincpu.pb@0015A BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@001ED=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@001C6=18</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@001DF=00|(maincpu.pb@001DF BAND ~01)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
